#-----------------------------------------------------------------------
# nlib.properties : \uc628\ub77c\uc778\uc790\ub8cc\ub300\ucd9c\uad00\ub9ac\uc2dc\uc2a4\ud15c 
#  
# @\ud504\ub85c\uc81d\ud2b8\uba85: \uc9c0\ubc29\ubb38\ud654\uc6d0 \ud1b5\ud569\uc790\ub8cc\uad00\ub9ac\uc2dc\uc2a4\ud15c \uad6c\ucd95\uc0ac\uc5c5 (2021)
#-----------------------------------------------------------------------
#   1.  key = value \uad6c\uc870\uc785\ub2c8\ub2e4.
#   2.  key\uac12\uc740 \uacf5\ubc31\ubb38\uc790\ub97c \ud3ec\ud568\ubd88\uac00, value\uac12\uc740 \uacf5\ubc31\ubb38\uc790\ub97c \uac00\ub2a5
#   3.  key\uac12\uc73c\ub85c \ud55c\uae00\uc744 \uc0ac\uc6a9\ubd88\uac00,   value\uac12\uc740 \ud55c\uae00\uc0ac\uc6a9\uc774 \uac00\ub2a5
#   4.  \uc904\uc744 \ubc14\uafc0 \ud544\uc694\uac00 \uc788\uc73c\uba74 '\'\ub97c \ub77c\uc778\uc758 \ub05d\uc5d0 \ucd94\uac00(\ub9cc\uc57d  '\'\ubb38\uc790\ub97c \uc0ac\uc6a9\ud574\uc57c \ud558\ub294 \uacbd\uc6b0\ub294 '\\'\ub97c \uc0ac\uc6a9)
#   5.  Windows\uc5d0\uc11c\uc758 \ub514\ub809\ud1a0\ub9ac \ud45c\uc2dc : '\\' or '/'  ('\' \uc0ac\uc6a9\ud558\uba74 \uc548\ub428)
#   6.  Unix\uc5d0\uc11c\uc758 \ub514\ub809\ud1a0\ub9ac \ud45c\uc2dc : '/'
#   7.  \uc8fc\uc11d\ubb38 \ucc98\ub9ac\ub294  #\uc0ac\uc6a9
#   8.  value\uac12 \ub4a4\uc5d0 \uc2a4\ud398\uc774\uc2a4\uac00 \uc874\uc7ac\ud558\ub294 \uacbd\uc6b0 \uc11c\ube14\ub9bf\uc5d0\uc11c \ucc38\uc870\ud560\ub54c\ub294 \uc5d0\ub7ec\ubc1c\uc0dd\ud560 \uc218 \uc788\uc73c\ubbc0\ub85c trim()\ud558\uac70\ub098 \ub9c8\uc9c0\ub9c9 \uacf5\ubc31\uc5c6\uc774 properties \uac12\uc744 \uc124\uc815\ud560\uac83
#-----------------------------------------------------------------------

# \uba54\uc778\ud648\ud398\uc774\uc9c0 URI 
home.uri = /index.do

# \ub9c8\uc774\ud398\uc774\uc9c0 URI 
mypage.uri = /index.do

# \ub85c\uceec\ud638\uc2a4\ud2b8 \uc801\uc6a9 \ud638\uc2a4\ud2b8\uba85 
domain.host.localhost = nlib-dev 

#----------------------------------------
# \ub85c\uadf8\uc778/\ud68c\uc6d0\uac00\uc785\uad00\ub828 URL \uc815\ubcf4 
#----------------------------------------
member.new.url = /login/memberSnsForm.do

# \ub85c\uadf8\uc778 \ub610\ub294 \uad8c\ud55c\uc5c6\ub294 \uacbd\uc6b0, \ub85c\uadf8\uc778\uc73c\ub85c \uc804\ud658\ucc98\ub9ac\ub418\uc5b4 \uc811\uc18d\ub418\ub294 \ucd5c\ucd08 \uc8fc\uc18c 
login.url      = /login/loginForm.do

# \ub85c\uadf8\uc778 \ubb38\uc81c \ubc1c\uc0dd \uc2dc, \ub2e4\uc2dc \ub9ac\ub2e4\uc774\ub809\ud2b8\ub420 \uc8fc\uc18c  
login.back.url = /login/loginGuide.do

# \ud734\uba74\uacc4\uc88c \ud574\uc9c0\uc548\ub0b4 \uc8fc\uc18c   
login.dormant.url = /login/activateDormantAccForm.do

# \uc9c0\ubc29\ubb38\ud654\uc6d0\uc5d0\uc11c \uc811\uc18d\uc2dc \ub9ac\ub2e4\uc774\ub809\ud2b8\ub420 \ub85c\uadf8\uc778\ud654\uba74 URL \uc815\ubcf4 
nculture.login.redirect.uri = /login/loginForm.do

# SNS\uc0ac\uc6a9\uc790 \uc778\uc99d \ubc0f \ucf5c\ubc31 \ucc98\ub9ac \ud6c4, \ud574\ub2f9 \uc9c0\ubc29\ubb38\ud654\uc6d0\uc73c\ub85c \uc774\ub3d9\ud558\uc5ec \ud6c4\ucc98\ub9ac\ub420 URL : \ub85c\uadf8\uc778\uc6a9   
nculture.login.post.login.redirect.uri = /login/loginCouncilSSO.do

# SNS\uc0ac\uc6a9\uc790 \uc778\uc99d \ubc0f \ucf5c\ubc31 \ucc98\ub9ac \ud6c4, \ud574\ub2f9 \uc9c0\ubc29\ubb38\ud654\uc6d0\uc73c\ub85c \uc774\ub3d9\ud558\uc5ec \ud6c4\ucc98\ub9ac\ub420 URL : \ud68c\uc6d0\uac00\uc785\uc6a9 
nculture.login.post.member.redirect.uri = /member/selectMemberJoiningInfo.do

# \uc9c0\ubc29\ubb38\ud654\uc6d0\uc5d0\uc11c \uc811\uc18d\uc2dc \ub9ac\ub2e4\uc774\ub809\ud2b8\ub420 \ud68c\uc6d0\uac00\uc785\ud654\uba74 URL \uc815\ubcf4 
nculture.member.redirect.uri = /login/memberSnsForm.do

#----------------------------------------
# NLIB \uc9c0\ubc29\ubb38\ud654\uc6d0\uc815\ubcf4 
#----------------------------------------
# \uacf5\ud1b5 \uc9c0\ubc29\ubb38\ud654\uc6d0\uc815\ubcf4 \ucf54\ub4dc 
nlib.council.cd = KCCF
nlib.council.nm = \uc9c0\ubc29\ubb38\ud654\uc6d0

# \uac1c\ubc1c\uc11c\ubc84 
nlib.council.dns.host = nlib-dev
# \uc6b4\uc601\uc11c\ubc84 
#nlib.council.dns.host = nlib



#----------------------------------------
# DataAPI \uc811\uc18d\uc815\ubcf4 
#----------------------------------------
# \uac1c\ubc1c\uc11c\ubc84 
dataapi.server.ip = 210.181.197.70
dataapi.server.port = 8080
dataapi.server.protocol = http

# \uc6b4\uc601\uc11c\ubc84 
#dataapi.server.ip = 10.10.10.230
#dataapi.server.port = 8080
#dataapi.server.protocol = http

# Aria \uc54c\uace0\ub9ac\uc998 
crypto.aria.defaultKey = gdyYs/IZqY86VcWhT8emCYfqY1ahw2vtLG+/FzNqtrQ=

#----------------------------------------
# \ubaa9\ub85d \ud398\uc774\uc9d5 
#----------------------------------------
list.paging.page.size = 10


#----------------------------------------
# \uba54\uc778\ud654\uba74 \uae30\ubcf8 \ubc30\ub108
#----------------------------------------
# \uba54\uc778\ud654\uba74 \uae30\ubcf8 \ubc30\ub108 \uc704\uce58 
# \ub85c\uceec\uc11c\ubc84
#main.banner.img.path = C:/iams/workspace/nlib/src/main/webapp/WEB-INF/template/images/bg-mainbanner.jpg
# \uac1c\ubc1c\uc11c\ubc84
main.banner.img.path = /apps/tomcat/apache-tomcat-8.5.46_nlib/webapps/nlib/WEB-INF/template/images/bg-mainbanner.jpg
# \uc6b4\uc601\uc11c\ubc84
#main.banner.img.path = /kccf/webapps/nlibhome/WEB-INF/template/images/bg-mainbanner.jpg
 
 
#----------------------------------------
# Q&A \ucca8\ubd80\ud30c\uc77c \uc5c5\ub85c\ub4dc \uad00\ub828  
#----------------------------------------

# \ucca8\ubd80\ud30c\uc77c \ucd5c\uc0c1\uc704 \uc704\uce58

# \ub85c\uceecPC 
#fileupload.base.path = C:/iams/workspace/nlib/data/fileupload
# \uac1c\ubc1c\uc11c\ubc84
fileupload.base.path = /nfs_nas_dev/uac/nlib
# \uc6b4\uc601\uc11c\ubc84 
#fileupload.base.path = /nfs_nas/uac/nlib

# \ubb3b\uace0\ub2f5\ud558\uae30 \uac8c\uc2dc\ud310 \uc11c\ube0c\uc704\uce58 : \ucca8\ubd80\ud30c\uc77c \ucd5c\uc0c1\uc704 \uc704\uce58 \uc774\ud558\uc758 \uc704\uce58 \uc815\ubcf4\ub97c \uc124\uc815 
fileupload.bbs.qna.subpath = /qna

# \ucd5c\ub300 \ud30c\uc77c \ud06c\uae30 (MB) 
fileupload.max.mbsize = 10
# \ucd5c\ub300 \ud30c\uc77c \uac1c\uc218 
fileupload.max.files = 5
# \ud30c\uc77c \uc5c5\ub85c\ub4dc \uac00\ub2a5 \ud655\uc7a5\uc790
fileupload.acceptable.ext = .jpg,.jpe,.jpge,.bmp,.gif,.png,.hwp,.hwpx,.pdf,.xls,.xlsx,.ppt,.pptx,.doc,.docx,.txt             


#----------------------------------------
# \uc774\uba54\uc77c \ud15c\ud50c\ub9bf \uacbd\ub85c
#----------------------------------------
# \ub85c\uceec\uc11c\ubc84 
#mailing.sender.membership.signUpTemplate = C:/iams/workspace/nlib/src/main/webapp/WEB-INF/template/mail/signUp_mail_template.html
#mailing.sender.membership.pwdTemplate    = C:/iams/workspace/nlib/src/main/webapp/WEB-INF/template/mail/pwd_mail_template.html
#mailing.sender.membership.certTemplate   = C:/iams/workspace/nlib/src/main/webapp/WEB-INF/template/mail/cert_mail_template.html

# \uac1c\ubc1c\uc11c\ubc84 
mailing.sender.membership.signUpTemplate  = /apps/tomcat/apache-tomcat-8.5.46_nlib/webapps/nlib/WEB-INF/template/mail/signUp_mail_template.html
mailing.sender.membership.pwdTemplate     = /apps/tomcat/apache-tomcat-8.5.46_nlib/webapps/nlib/WEB-INF/template/mail/pwd_mail_template.html
mailing.sender.membership.certTemplate    = /apps/tomcat/apache-tomcat-8.5.46_nlib/webapps/nlib/WEB-INF/template/mail/cert_mail_template.html

# \uc6b4\uc601\uc11c\ubc84 
#mailing.sender.membership.signUpTemplate  = /kccf/webapps/nlibhome/WEB-INF/template/mail/signUp_mail_template.html
#mailing.sender.membership.pwdTemplate     = /kccf/webapps/nlibhome/WEB-INF/template/mail/pwd_mail_template.html
#mailing.sender.membership.certTemplate    = /kccf/webapps/nlibhome/WEB-INF/template/mail/cert_mail_template.html

#\uba54\uc77c \uc774\ubbf8\uc9c0 \uacbd\ub85c\uc6a9 \ub3c4\uba54\uc778 URL 
# \uac1c\ubc1c\uc11c\ubc84
host.name    = https://nlib-dev.nculture.org
# \uc6b4\uc601\uc11c\ubc84
#host.name    = https://nlib.nculture.org

#\uba54\uc77c \ubcf4\ub0b4\ub294 \uc8fc\uc18c
mailing.sender.membership.email = no-reply@nlib.org

#\uba54\uc77c \ubcf4\ub0b4\ub294\uc0ac\ub78c \uc774\ub984
mailing.sender.membership.name = [\ud55c\uad6d\ubb38\ud654\uc6d0\uc5f0\ud569\ud68c]

#SMS \ubcf4\ub0b4\ub294\uc0ac\ub78c \ubc88\ud638
sms.sender.phone.number = 027042322
#----------------------------------------
# \uac80\uc0c9\uc5d4\uc9c4
#----------------------------------------
# \uac1c\ubc1c\uc11c\ubc84 
search.searchIp = 210.181.197.67
search.searchPort = 7800
search.protocol = http

# \uc6b4\uc601\uc11c\ubc84 
#search.searchIp = 10.10.10.138
#search.searchPort = 7800
#search.protocol = http


#----------------------------------------
# SNS SSO \ucc98\ub9ac URL \uc815\ubcf4 (\ud074\ub77c\uc774\uc5b8\ud2b8 \uc124\uc815\uc815\ubcf4 : context-oauth.xml \ucc38\uc870)  
#----------------------------------------
# \ub124\uc774\ubc84 
oauth2.client.provider.naver.name  = NAVER
oauth2.client.provider.naver.authorization-uri   = https://nid.naver.com/oauth2.0/authorize
oauth2.client.provider.naver.token-uri           = https://nid.naver.com/oauth2.0/token?grant_type=authorization_code
oauth2.client.provider.naver.user-info-uri       = https://openapi.naver.com/v1/nid/me
oauth2.client.provider.naver.user-name-attribute = response

# \uad6c\uae00 
oauth2.client.provider.google.name = GOOGLE
oauth2.client.provider.google.user-info-uri      = https://openidconnect.googleapis.com/v1/userinfo

# \uce74\uce74\uc624 
oauth2.client.provider.kakao.name  = KAKAO
oauth2.client.provider.kakao.authorization-uri   = https://kauth.kakao.com/oauth/authorize
oauth2.client.provider.kakao.token-uri           = https://kauth.kakao.com/oauth/token?client_id=
oauth2.client.provider.kakao.user-info-uri       = https://kapi.kakao.com/v2/user/me

#----------------------------------------
# \uc190\ub2d8\uc815\ubcf4
#----------------------------------------
guest.userid = GUEST

#----------------------------------------
# \uc0ac\uc6a9\uc790\uad8c\ud55c\uba85 
#----------------------------------------
# \uc77c\ubc18\uc0ac\uc6a9\uc790 
auth.role.user = ROLE_USER
# \uad00\ub9ac\uc790 
auth.role.admin = ROLE_ADMIN
# \uc2dc\uc2a4\ud15c\uad00\ub9ac\uc790 
auth.role.system = ROLE_SYSTEM


#----------------------------------------
# \uce74\ud2b8 \uad00\ub828 
#----------------------------------------
# \ubbf8\ub85c\uadf8\uc778 \uc0ac\uc6a9\uc790\uc758 \uce74\ud2b8\uc815\ubcf4\uac00 \uc800\uc7a5\ub418\ub294 \ucfe0\ud0a4 \uc124\uc815 \ub3c4\uba54\uc778 
cart.cookie.domain = nculture.org 
# \ubbf8\ub85c\uadf8\uc778 \uc0ac\uc6a9\uc790\uc758 \uce74\ud2b8\uc815\ubcf4\uac00 \uc800\uc7a5\ub418\ub294 \ucfe0\ud0a4\uba85 
cart.cookie.name = _NLIB_CART_COOKIE
cart.cookie.path = /


#----------------------------------------
# \uc378\ub124\uc77c \uae30\ubcf8 \uc774\ubbf8\uc9c0 (\uc378\ub124\uc77c \uc5c6\uc74c) 
#----------------------------------------
thumbnail.image.url.small  = /images/thumbnail/noimage-s.jpg
thumbnail.image.url.middle = /images/thumbnail/noimage-m.jpg
thumbnail.image.url.big    = /images/thumbnail/noimage-b.jpg

# \uac1c\ubc1c\uc11c\ubc84 
thumbnail.image.url.prefix = https://iams-dev.nculture.org/uac
# \uc6b4\uc601\uc11c\ubc84 
#thumbnail.image.url.prefix = https://archive.nculture.org/uac


#----------------------------------------
# \ub2e8\ucd95URL
#----------------------------------------
# \uac1c\ubc1c\uc11c\ubc84
shorturl.api = https://local-dev.nculture.org/yourls-api.php?signature=d48a5ab90c
# \uc6b4\uc601\uc11c\ubc84
#shorturl.api = https://local.nculture.org/yourls-api.php?signature=6882eb3237


#----------------------------------------
# \uc6d0\ubb38\ubcf4\uae30 
#----------------------------------------
# \uc6d0\ubb38\ubcf4\uae30 (PDF)
# \uac1c\ubc1c\uc11c\ubc84 
pdf.url = https://port-dev.nculture.org/npdfView.do?npdf=N
# \uc6b4\uc601\uc11c\ubc84 
#pdf.url = https://www.nculture.org/npdfView.do?npdf=I

# \uc6d0\ubb38\ubcf4\uae30 (IMAGE)
# \uac1c\ubc1c\uc11c\ubc84 
image.url = https://port-dev.nculture.org/nImageView.do?nImage=N
# \uc6b4\uc601\uc11c\ubc84 
#image.url = https://www.nculture.org/nImageView.do?nImage=I

# \uc6d0\ubb38\ubcf4\uae30 (VIDEO)
# \uac1c\ubc1c\uc11c\ubc84 
video.url = https://port-dev.nculture.org/cmm/nvodView.do?nvod=N
# \uc6b4\uc601\uc11c\ubc84 
#video.url = https://www..nculture.org/nvodView.do?nvod=I
